body {
    background-color: #0c5a72;
    color: white;
    font-family:'Courier New', Courier, monospace;
    font-size: 0.875em;
}

section {
    background-color: rgba(0, 0, 0, 0.685);

}

/* grid container */
.layout {
    display:grid;
    grid-template-areas:
        'header'
        'main-content'
        'right-sidebar'
        'footer';
}

/* general column padding */

/*Container for top row of links.*/
.links {
  padding: 5px;
  padding-top: 3px;
  padding-bottom: 5px;
  background-color: #213944;
  }
  
/*Div style for individual links.*/
.link {
  text-align: center;
  display: inline-block;
  list-style-type: none;
  float: none;
  font-weight: bold;
  font-size: 1.16em;
  padding: 5px;
  margin-right: 10px;
  margin-left: 10px;
  border: 0px solid red;
  }
  
.link a {
  color: white;
  text-decoration: none;
  }
.link a:hover {
  text-decoration: underline;
}

/* assign columns to grid areas */
.layout > .header {
    grid-area:header;
    background:#213944;
    overflow: hidden;
}
.layout > .header img {
    height: 200px;
    width: 100%;
}
.layout > .main-content {
    grid-area:main-content;
}

.layout > .right-sidebar {
    grid-area:right-sidebar;
    height: min-content;

}
.layout > .footer {
    grid-area:footer;
    background:#72c2f1;
}

.layout > .main-content, .layout > .right-sidebar {
    padding:1rem;
    margin: .5rem;
    background-color: #e2dcc1;
    color: #12282f;
    border-top: 10px solid #187b9b;
    border-bottom: 5px solid #187b9b;
    border-style: groove;

}

.main-content img {
    max-width: 100%;
    height: auto;
}

.title {
    padding: 1rem;
}

/* tablet breakpoint */
@media (min-width:768px) {
    .layout {
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
            'header header'
            'main-content main-content'
            'right-sidebar right-sidebar'
            'footer footer';
    }
}

/* desktop breakpoint */
@media (min-width:1024px) {
    .layout {
        margin:auto;
        max-width: 75%;
        grid-template-columns: repeat(4, 1fr);
        grid-template-areas:
            'header header header header'
            'main-content main-content main-content right-sidebar'
            'footer footer footer footer';
    }
}